Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package util
  Definition Classes
    tools
- CompileOutputCommon
- PathResolver
- SocketServer
- VerifyClass

o

scala.tools.util

# PathResolver 

###
Companion class PathResolver

#### object PathResolver

Source
  PathResolver.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PathResolver
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  implicit final class AsLines extends AnyVal
2.  implicit final class MkLines extends AnyVal

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def main(args: Array[String]): Unit

    With no arguments, show the interesting values in Environment and Defaults.

    With no arguments, show the interesting values in Environment and Defaults. If there are arguments, show those in Calculated as if those options had been given to a scala runner.

13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
16.  def ppcp(s: String): String

    pretty print class path

17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  object Defaults

    Default values based on those in Environment as interpreted according to the path resolution specification.

23.  object Environment

    Values found solely by inspecting environment or property variables.

24.  object SupplementalLocations

    Locations discovered by supplemental heuristics.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped